vmtk
the Vascular Modeling Toolkit

NEW: Take a look at the new package tracker: tracker.debian.org/pkg/vmtk

general

source
vmtk (source, non-free/science)
version
1.3+dfsg-2.3
maint
Debian Science Team (a), Johannes Ring (u)
arch
any all
std-ver
3.9.8
VCS
Git (browse)

binaries

todo

  • Incorporate and acknowledge the changes from the non maintainer upload.
  • The package should be updated to follow the last version of Debian Policy (Standards-Version 4.6.0 instead of 3.9.8).

problems

  • The package has not yet entered testing even though the 5-day delay is over. Check why.
  • The package is severely out of date with respect to the Debian Policy. Latest version is 4.6.0 and your package only follows 3.9.8...
  • The package has a debian/watch file, but the last attempt to use it for checking for newer upstream versions failed with an error:
    In debian/watch no matching files for watch line   https://github.com/vmtk/vmtk/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

testing migration

excuses:
  • Migration status for vmtk (- to 1.3+dfsg-2.3): BLOCKED: Rejected/violates migration policy/introduces a regression
  • Issues preventing migration:
  • python-vmtk/amd64 has unsatisfiable dependency
  • vmtk/arm64 has unsatisfiable dependency
  • python-vmtk/i386 has unsatisfiable dependency
  • Updating vmtk introduces new bugs: #938795.
  • vmtk unsatisfiable Build-Depends(-Arch) on amd64: python-vtk6
  • vmtk unsatisfiable Build-Depends(-Arch) on amd64: libvtk6-java
  • vmtk unsatisfiable Build-Depends(-Arch) on i386: python-vtk6
  • vmtk unsatisfiable Build-Depends(-Arch) on i386: libvtk6-java
  • Impossible Build-Depends(-Arch): vmtk -> python-dev-is-python2/2.7.18-9/amd64
  • Impossible Build-Depends(-Arch): vmtk -> python-dev-is-python2/2.7.18-9/i386
  • Impossible Depends: vmtk -> libinsighttoolkit4.12/4.12.2-dfsg1-4+b2/amd64
  • Impossible Depends: vmtk -> libinsighttoolkit4.12/4.12.2-dfsg1-4.1/i386
  • Impossible Depends: vmtk -> python-is-python2/2.7.18-9/amd64
  • Build-Depends(-Arch): vmtk gdcm
  • Additional info:
  • Cannot be tested by piuparts (not a blocker) - (no link yet)
  • uninstallable on arch amd64, not running autopkgtest there
  • uninstallable on arch arm64, not running autopkgtest there
  • uninstallable on arch i386, not running autopkgtest there
  • 1167 days old (needed 5 days)

news RSS

bugs

all bug history graph
2 (4)
RC
1 (3)
I&N
1
M&W
0
F&P
0